Update to 0.9.9

Bug #539011 reported by Robert Ancell on 2010-03-15
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
simple-scan (Ubuntu)
Wishlist
Unassigned
Lucid
Wishlist
Unassigned

Bug Description

Binary package hint: simple-scan

There is a new upstream release of simple-scan that fixes a number of issues found in feedback from the version in the Ubuntu Alpha and other users.

The changes are:

Overview of changes in simple-scan 0.9.9

 * Fix crop rotation
 * Improve crop outline so visible on more scanned documents
 * Make preferences window fixed size
 * Add page size selection

Overview of changes in simple-scan 0.9.8

 * Open page in image viewer when double clicking on it
 * Use custom crop icon for crop toolbutton
 * Use Gtk theme when painting focus on selected page
 * Added scan sources seen on propietary brother3 driver
 * Explicitly set flatbed source as not all drivers support automatic sources
 * Add preferences options for which page side to scan
 * Reduce shading on crop overlay
 * Remove save and preferences buttons from toolbar
 * Make crop toolbar button a toggle
 * Fix bugs in crop resizing
 * Compress PDF images

Changed in simple-scan (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist
Robert Ancell (robert-ancell) wrote :

The UI changes are:
- Reduction of the number of toolbar items
- Outline and shading of crop overlay
- Two more preferences (scan side, paper size)
- Preferences window fixed size

Alessio Treglia (quadrispro) wrote :

After uploading your new release to debian, I will work on the merge.

Alessio Treglia (quadrispro) wrote :

My package has been accpeted, that's the debdiff.

Alessio Treglia (quadrispro) wrote :

Here you can find the buildlog and many other details:
http://maps.remixtj.net/lucid/pool/simple-scan_0.9.9-1ubuntu1/

Robert Ancell (robert-ancell) wrote :

Thanks Alessio!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package simple-scan - 0.9.9-0ubuntu1

---------------
simple-scan (0.9.9-0ubuntu1) lucid; urgency=low

  * New upstream relase: (LP: #539011)
    - Fix crop rotation
    - Improve crop outline so visible on more scanned documents
    - Make preferences window fixed size
    - Add page size selection (LP: #536882)
 -- Robert Ancell <email address hidden> Mon, 15 Mar 2010 21:36:44 +1100

Changed in simple-scan (Ubuntu Lucid):
status: Triaged → Fix Released
Alessio Treglia (quadrispro) wrote :

Robert, did you get in touch with any ubuntu-release member before uploading it?

Robert Ancell (robert-ancell) wrote :

Yes, Martin Pitt (pitti) was notified of the request and I suspect he approved it once Beta 1 was released.

Robert Ancell [2010-03-22 0:06 -0000]:
> Yes, Martin Pitt (pitti) was notified of the request and I suspect he
> approved it once Beta 1 was released.

In particular:

2010-03-05 12:59:39 robert_ancell pitti, ok to upload ^^^ ?
2010-03-05 12:59:57 pitti robert_ancell: what does it change?
2010-03-05 13:00:11 robert_ancell pitti, just bug fixes. It's the 1.0 release candidate
2010-03-05 13:00:15 pitti robert_ancell: bug fixes are alright, UI changes and new features need exceptio
ns now
2010-03-05 13:01:05 robert_ancell pitti, I think I have to ask because it's a new upstream version right?
  If it was Ubuntu patches it wouldn't need permission

Martin
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Alessio Treglia (quadrispro) wrote :

Excellent, thank you!

--
Alessio Treglia <email address hidden>
Ubuntu MOTU Developer | Homepage: http://www.alessiotreglia.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0

pinco (sportegioco) on 2010-04-14
Changed in simple-scan (Ubuntu Lucid):
status: Fix Released → New
Changed in simple-scan (Ubuntu Lucid):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers